Page MenuHomePhabricator

[ARM] Sink zext/sext operands for add and sub to enable vsubl generation.
ClosedPublic

Authored by fhahn on Feb 11 2019, 9:42 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

fhahn created this revision.Feb 11 2019, 9:42 AM
samparker added inline comments.Feb 12 2019, 5:18 AM
llvm/test/Transforms/CodeGenPrepare/ARM/sink-free-instructions.ll
91 ↗(On Diff #186282)

I'm assuming there's something wrong about this test because I don't see any zext and the ops are being sunk :)

131 ↗(On Diff #186282)

same here.

fhahn updated this revision to Diff 189181.Mar 4 2019, 11:59 AM

Fix do_not_sink_nonfree_* tests to actually test what they are supposed to.

fhahn marked an inline comment as done.Mar 4 2019, 12:01 PM

Thanks Sam! Looks like I copied the test without updating them....... Should be fixed now

samparker accepted this revision.Mar 5 2019, 2:12 AM

LGTM, cheers!

This revision is now accepted and ready to land.Mar 5 2019, 2:12 AM
This revision was automatically updated to reflect the committed changes.